Subject: bug#889: 23.0.60; "Recover Crashed Session" is misleading

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2022 15:02:51 +0200

> Date: Tue, 22 Mar 2022 07:09:54 +0200
> From: era <[email-masked]>
> Cc: [email-masked]
> 
> On Mon, Mar 21, 2022, at 20:31, Lars Ingebrigtsen wrote:
> > Nobody had an opinion here in a month, so I'm closing this as a "wontfix".
> 
> The actual  bug report here is that  the description of what "recover-buffers" does is vaguely wrong.
> 
> I reported it because I came across people who thought it was supposed to do more.

The current doc string says:

  Recover auto save files from a previous Emacs session.
  This command first displays a Dired buffer showing you the
  previous sessions that you could recover from.
  To choose one, move point to the proper line and then type C-c C-c.
  Then you’ll be asked about a number of files to recover.

This is quite descriptive, IMO, but if you can point out where are the
potentially confusing parts, maybe we could make it even better.

For example, if we reword the first sentence like this:

  Recover your edits saved in auto-save files by previous Emacs sessions.

will the doc string be less confusing?  Any other suggestions?

Thanks.